function ExtraButtons(){}

ExtraButtons.prototype.initialize = function(){
	//VARIABLES
	window.blink = "none";
	window.blinkOn = false;
	window.autoBlink = false;
	window.maxRange = 30;
	
    window.cruiseSpeed = 0;
	window.cruiseEnabled = false;
    window.speedMs = 0;
	
	window.finals = {
		autoBlink: "OFF",
	};
    this.labelDiv = $('<center><div></div></center>').appendTo(this.rootElement).addClass('buttonDiv');
    this.cruiseDiv = $('<center><div></div></center>').appendTo(this.rootElement).addClass('buttonDiv');
	//this.autoBlinkerDiv = $('<center><div></div></center>').appendTo(this.rootElement).addClass('buttonDiv');

	
    this.loaded = false;

    var self = this;
    this.labelDiv.click(function(){beamng.sendActiveObjectLua("drivetrain.repairEngine()");});
    this.cruiseDiv.click(function(){beamng.sendActiveObjectLua("drivetrain.enableDriveshaft()");});
    //this.autoBlinkerDiv.click(function(){window.autoBlink ^= true;});

    //$('<button onclick="javascript:location.reload();">ReloadUI</button>').appendTo(this.rootElement);
	
    
};


ExtraButtons.prototype.update = function(streams){
	
    this.labelDiv.html("Repair Engine");
    this.cruiseDiv.html("Repair Driveshaft");
    //this.autoBlinkerDiv.html("Toggle Auto Blinkers ("+ window.finals.autoBlink+")");
	
	
	//UPDATING STUFF (FOR MOD; NOTHING BELOW IS VISUAL!)
	var steer = streams.electrics.steering;
	var warncrash = Math.abs(streams.sensors.gx) + Math.abs(streams.sensors.gy);
	
	
	if(window.autoBlink) {
		window.finals.autoBlink = "ON";
	} else {
		window.finals.autoBlink = "OFF";
	}
	
	//WARN CRASH 
	{
	
	
	if(steer > window.maxRange) {
		window.blink = "left";
	} else if(steer < -window.maxRange) {
		window.blink = "right";
	}
	if(window.autoBlink) {
		/*if(window.blink === "left" && window.blinkOn == false) {
			beamng.sendActiveObjectLua("electrics.toggle_left_signal()");
			window.blinkOn = true;
		}
		if(window.blink === "right" && window.blinkOn === false) {
			beamng.sendActiveObjectLua("electrics.toggle_right_signal()");
			window.blinkOn = true;
		}
		if(window.blink === "left" && steer === 0) {
			beamng.sendActiveObjectLua("electrics.toggle_left_signal()");
			window.blinkOn = false;
			window.blink = "off";
		}
		if(window.blink === "right" && steer === 0) {
			beamng.sendActiveObjectLua("electrics.toggle_right_signal()");
			window.blinkOn = false;
			window.blink = "off";
		}
		if(window.blink === "off" && steer === 0) {
			beamng.sendActiveObjectLua("electrics.signalLeftState = false");
			beamng.sendActiveObjectLua("electrics.signalRightState = false");
			beamng.sendActiveObjectLua("electrics.signalWarnState = false");
		}
		if(steer < 0) {
			beamng.sendActiveObjectLua("electrics.signalLeftState = false");
		}
		if(steer > 0) {
			beamng.sendActiveObjectLua("electrics.signalRightState = false");
		}*/
	}

    if (warncrash > 260) {
		beamng.sendActiveObjectLua("electrics.toggle_warn_signal()");
		beamng.sendActiveObjectLua("drivetrain.canStart = false");
		beamng.sendActiveObjectLua("drivetrain.stopEngine()");
    }
	}
	
};
